curl --request POST \
--url https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/SearchCrewProfiles \
--header 'Authorization: Bearer <token>' \
--header 'Connect-Protocol-Version: <connect-protocol-version>' \
--header 'Content-Type: application/json' \
--data '
{
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"query": "<string>",
"page": "<string>",
"perPage": "<string>",
"conversationMode": true,
"enableHybridSearch": true,
"disableHybridSearch": true,
"appliedToJobPostingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filterByNationalities": [
"<string>"
],
"filterByCountriesOfResidence": [
"<string>"
],
"filterByRanks": [
"<string>"
],
"filterByCertificates": [
"<string>"
],
"filterByPipelineStageIds": [
"<string>"
],
"includeArchived": true,
"enableFlexibleMatchType": true,
"filterByCrewTagIds": [
"<string>"
],
"matchJobPostingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filterByAddedVia": []
}
'import requests
url = "https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/SearchCrewProfiles"
payload = {
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"query": "<string>",
"page": "<string>",
"perPage": "<string>",
"conversationMode": True,
"enableHybridSearch": True,
"disableHybridSearch": True,
"appliedToJobPostingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filterByNationalities": ["<string>"],
"filterByCountriesOfResidence": ["<string>"],
"filterByRanks": ["<string>"],
"filterByCertificates": ["<string>"],
"filterByPipelineStageIds": ["<string>"],
"includeArchived": True,
"enableFlexibleMatchType": True,
"filterByCrewTagIds": ["<string>"],
"matchJobPostingId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"filterByAddedVia": []
}
headers = {
"Connect-Protocol-Version": "<connect-protocol-version>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Connect-Protocol-Version': '<connect-protocol-version>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
organizationId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
query: '<string>',
page: '<string>',
perPage: '<string>',
conversationMode: true,
enableHybridSearch: true,
disableHybridSearch: true,
appliedToJobPostingId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
filterByNationalities: ['<string>'],
filterByCountriesOfResidence: ['<string>'],
filterByRanks: ['<string>'],
filterByCertificates: ['<string>'],
filterByPipelineStageIds: ['<string>'],
includeArchived: true,
enableFlexibleMatchType: true,
filterByCrewTagIds: ['<string>'],
matchJobPostingId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
filterByAddedVia: []
})
};
fetch('https://edge.sterndesk.com/rpc/rpc.v1.OrganizationService/SearchCrewProfiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "<string>",
"organizationId": "<string>",
"primaryEmail": "<string>",
"givenName": "<string>",
"familyName": "<string>",
"highlights": {
"givenName": {
"snippet": "<string>"
},
"familyName": {
"snippet": "<string>"
},
"atSeaWorkExperienceSsV2": [
{
"snippet": "<string>"
}
],
"certificateSsV1": [
{
"snippet": "<string>"
}
]
},
"primaryPhoneE164": "<string>",
"addedVia": "ENTRY_SOURCE_UNSPECIFIED",
"createdAt": "2023-01-15T01:30:15.01Z",
"dateOfBirth": {
"atSeaWorkExperienceId": "<string>",
"documentSetId": "<string>",
"documentId": "<string>",
"pageIndex": "<string>",
"kind": "DOCUMENT_EXTRACTION_KIND_UNSPECIFIED",
"kindSequence": "<string>",
"reasoning": [
"<string>"
],
"snippet": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z"
},
"countryOfResidence": {
"atSeaWorkExperienceId": "<string>",
"documentSetId": "<string>",
"documentId": "<string>",
"pageIndex": "<string>",
"kind": "DOCUMENT_EXTRACTION_KIND_UNSPECIFIED",
"kindSequence": "<string>",
"reasoning": [
"<string>"
],
"snippet": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z"
},
"nationality": {
"atSeaWorkExperienceId": "<string>",
"documentSetId": "<string>",
"documentId": "<string>",
"pageIndex": "<string>",
"kind": "DOCUMENT_EXTRACTION_KIND_UNSPECIFIED",
"kindSequence": "<string>",
"reasoning": [
"<string>"
],
"snippet": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z"
},
"faceImage": {
"atSeaWorkExperienceId": "<string>",
"documentSetId": "<string>",
"documentId": "<string>",
"pageIndex": "<string>",
"kind": "DOCUMENT_EXTRACTION_KIND_UNSPECIFIED",
"kindSequence": "<string>",
"reasoning": [
"<string>"
],
"snippet": "<string>",
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z"
},
"documentSetCount": "<string>",
"isArchived": true,
"archivedAt": "2023-01-15T01:30:15.01Z",
"proposalIds": [
"<string>"
],
"source": "ENTRY_SOURCE_UNSPECIFIED",
"sourceId": "<string>",
"jobPostingMatch": {
"matchScore": "<string>",
"matchBreakdown": {
"vesselType": true,
"experience": 0.5,
"experiencePercent": "<string>",
"qualifyingExperienceMonths": "<string>",
"confirmedRelevantMonths": "<string>",
"possibleRelevantMonths": "<string>",
"vesselTypeRelevantMonths": "<string>",
"containsEstimatedMonths": true,
"mainVesselType": true,
"similarVesselType": true,
"mainRank": true,
"similarRank": true,
"mainRelevantMonths": "<string>",
"similarRelevantMonths": "<string>"
},
"requiredRank": "<string>",
"requiredCertificates": [
"<string>"
],
"requiredExperienceMonths": "<string>",
"qualifyingExperienceMonths": "<string>",
"failureReasons": [
"<string>"
]
}
}
],
"totalFound": "<string>",
"totalPages": "<string>",
"currentPage": "<string>",
"conversationAnswer": "<string>"
}{
"code": "not_found",
"message": "<string>",
"details": [
{
"type": "<string>",
"value": "<string>",
"debug": {}
}
]
}SearchCrewProfiles
Search crew profiles
Authorizations
Personal API key, sent as Authorization: Bearer <key>.
Headers
Define the version of the Connect protocol
1
Define the timeout, in ms
1000
Body
search request
id of the organization in which job postings will be searched.
query to search for
128page of search results to return
nr of items per page
set this to true to enable conversation mode
enable_hybrid_search will make searching smarter by understanding meaning, but it is slower.
hybrid search is enabled by default, it can be toggled off.
only show crew that have applied to a certain job posting
filtering crew profiles by nationality_iso3166_1
5filtering crew profiles by country_iso3166_1
5filtering crew profiles by ranks (first rank or second rank)
5filtering crew profiles by certificates
5filtering crew profiles by pipeline stage ids
5when true, archived crew profiles will be included in search results
when enabled, applies relaxed boolean logic to filters. switches from strict conjunctive matching (AND across filter groups) to a more permissive mode allowing disjunctive matches (OR between groups).
filtering crew profiles by crew tag ids
5only show crew matched to a certain job posting
filtering crew profiles by how the candidate first entered the system
3EntrySource indicates how a candidate first entered the system, or how a single job application was created.
ENTRY_SOURCE_UNSPECIFIED, ENTRY_SOURCE_CAREER_SITE, ENTRY_SOURCE_MANUAL, ENTRY_SOURCE_EMAIL Response
Success
search response
search results
Show child attributes
Show child attributes
total number of search results
total number of pages for all results
current page in the search results
in the case a conversation search was performed, this field will hold the answer